<nav class="navbar navbar-expand-lg navbar-light bg-light mb-4">
    <div class="container">
        <a href="{{ baseUrl() }}" class="navbar-brand">Slim</a>
        <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item {% if currentUrl() == baseUrl() ~ urlFor("home") %}active{% endif %}">
                    <a href="{{ baseUrl() }}" class="nav-link">Home</a>
                </li>
            </ul>
            <ul class="navbar-nav ml-auto">
                {% if auth %}
                    <li class="nav-item">
                        <a href="{{ urlFor("auth.signout") }}" class="nav-link">Sign out</a>
                    </li>
                {% else %}
                    <li class="nav-item {% if currentUrl() == baseUrl() ~ urlFor("auth.signin") %}active{% endif %}">
                        <a href="{{ urlFor("auth.signin") }}" class="nav-link">Sign in</a>
                    </li>
                    <li class="nav-item {% if currentUrl() == baseUrl() ~ urlFor("auth.signup") %}active{% endif %}">
                        <a href="{{ urlFor("auth.signup") }}" class="nav-link">Sign up</a>
                    </li>
                {% endif %}
            </ul>
        </div>
    </div>
</nav>
